#ifndef ABSTRACTFILELOADER_H
#define ABSTRACTFILELOADER_H

#include <QObject>
#include <QThread>
#include "qcustomplot.h"
#include <qlopdata.h>
//typedef struct dataVector
//{
//  QString name;
//  QString unit;
//  QVector<QCPData>* data;
//}dataVector;

//typedef QList<dataVector> QListOfDataVector;

class AbstractFileLoader : public QThread
{
  Q_OBJECT
public:
  explicit AbstractFileLoader(QObject *parent = 0);
  ~AbstractFileLoader();

  virtual void parseFile(const QString &fileName)=0;
signals:
  void dataReady(QLopDataList data);
  void updateProgress(int threadId,int percentProgress);

public slots:
};

#endif // ABSTRACTFILELOADER_H
